import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/use-body-scoll-lock.ts
import { enableBodyScroll, disableBodyScroll } from "body-scroll-lock";
import { watch } from "vue";
import { useRef } from "@chakra-ui/vue-utils";
function useBodyScrollLock(enable, options) {
  const [scrollLockRef, scrollLockEl] = useRef();
  watch([scrollLockEl, enable], ([target, isActive], [previousTarget]) => {
    if (!target || !enable.value) {
      previousTarget && enableBodyScroll(previousTarget);
    } else if (target && isActive) {
      disableBodyScroll(target, options);
    } else {
      enableBodyScroll(target);
    }
  }, {
    immediate: true,
    flush: "post"
  });
  return {
    scrollLockRef
  };
}
__name(useBodyScrollLock, "useBodyScrollLock");

export {
  useBodyScrollLock
};
