"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/use-body-scoll-lock.ts
var use_body_scoll_lock_exports = {};
__export(use_body_scoll_lock_exports, {
  useBodyScrollLock: () => useBodyScrollLock
});
module.exports = __toCommonJS(use_body_scoll_lock_exports);
var import_body_scroll_lock = require("body-scroll-lock");
var import_vue = require("vue");
var import_vue_utils = require("@chakra-ui/vue-utils");
function useBodyScrollLock(enable, options) {
  const [scrollLockRef, scrollLockEl] = (0, import_vue_utils.useRef)();
  (0, import_vue.watch)([scrollLockEl, enable], ([target, isActive], [previousTarget]) => {
    if (!target || !enable.value) {
      previousTarget && (0, import_body_scroll_lock.enableBodyScroll)(previousTarget);
    } else if (target && isActive) {
      (0, import_body_scroll_lock.disableBodyScroll)(target, options);
    } else {
      (0, import_body_scroll_lock.enableBodyScroll)(target);
    }
  }, {
    immediate: true,
    flush: "post"
  });
  return {
    scrollLockRef
  };
}
__name(useBodyScrollLock, "useBodyScrollLock");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useBodyScrollLock
});
